org.eclipse.eef.ide.ui.internal.widgets.styles

## Class EEFFont

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.widgets.styles.EEFFont

    public class EEFFont
    extends java.lang.Object

Represents a font in EEF.

### Constructor Summary

Constructors
Constructor and Description
`EEFFont(java.lang.String name, int height, int style)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.graphics.Font` `getFont()` Get the font.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFFont

    public EEFFont(java.lang.String name,
                   int height,
                   int style)

The constructor.

Parameters:
  `name` - Name
  `height` - Height
  `style` - Style

### Method Detail

#### getFont

    public org.eclipse.swt.graphics.Font getFont()

Get the font.

Returns:
  The color